Class OidcConstants.ConfirmationMethods
- Namespace
- Fdyay.IdentityServer
- Assembly
- Fdyay.IdentityServer.Core.dll
RFC 7800 confirmation methods: how a token names the key it is bound to.
public static class OidcConstants.ConfirmationMethods
- Inheritance
-
OidcConstants.ConfirmationMethods
- Inherited Members
Fields
JwkThumbprint
RFC 9449 §6.1: the SHA-256 thumbprint of the JWK the client proves it holds.
public const string JwkThumbprint = "jkt"
Field Value
X509ThumbprintSha256
RFC 8705 §3.1: the base64url SHA-256 of the DER certificate the token is bound to.
public const string X509ThumbprintSha256 = "x5t#S256"